Ryzom - Feature # 43

Status: Rejected Priority: Normal
Author: vl Category:

Created: 09/03/2008 Assignee:

Updated: 11/16/2010 Due date:

Subject: Enhance the 3D engine

Description

Ok this issue isn't very clear. Feel free to post idea of possible enhancement (shaders, integration of 2D shaders...)

History

#1 - 09/18/2008 09:54 am - kervala
- Category set to 3d
- Target version set to Version 0.7.0
#2 - 09/19/2008 04:05 pm - jade
vl wrote:
Ok this issue isn't very clear. Feel free to post idea of possible enhancement (shaders, integration of 2D shaders...)
Hello!
- Is there a list of currently available graphics feature (so that | don't suggest something that exists already :P)
- Do all graphics features that are non-essential to gameplay ("eye candy") have to be supported by all graphics driver or is it ok if some of them are

only supported on with DirectX or OpenGL?

| suppose that pimping up the graphics with a couple "next-gen" effects would be cool and could make ryzom even more eye-catchy. Do we have
depth of field? God rays? Water reflection? Fur effect (omg that would look cool on yubos!:P)

-jade

#3 - 01/24/2009 04:56 pm - Censseo

And is it possible to implement HDR Rendering? | have not skills to do that, but it's an idea, and it's often use in mmorpgs now.

#4 - 05/11/2009 03:59 pm - sfb

- Target version changed from Version 0.7.0 to 0.8.0

No way is this getting into 0.7.0 - too much of a development effort. I'd like to target 0.8.0 or 0.9.0 instead.

#5 - 09/29/2010 09:07 pm - kervala

- Project changed from NeL to Ryzom
- Category deleted (3d)

- Target version deleted (0.8.0)
#6 - 11/16/2010 11:03 am - kervala
- Status changed from New to Rejected

We should create ONE issue by feature (anisotropic filtering, multisample, etc...).
